MAP: Get disaster events as GeoJSON

API: gdacs.org:gdacs-api
Endpoint: /gdacsapi/api/events/geteventlist/MAP
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 387ms

Description

Returns a GeoJSON FeatureCollection of disaster events filtered by event type and optional date range. Each event includes geometry (Point for centroid, Polygon for affected areas), alert levels, severity data, and affected country information.

Parameters (3)

eventtypes (string, query, required)

Comma-separated list of event types to include

Constraints: {'enum': ['EQ', 'TC', 'FL', 'VO', 'DR', 'WF']}

fromdate (string, query, optional)

Filter events from this date (ISO 8601 format)

todate (string, query, optional)

Filter events up to this date (ISO 8601 format)

Examples (4)

Get disaster events for mapping openapi-spec
curl 'https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP?fromDate=2025-01-01&toDate=2025-12-31&eventlist=EQ%2CTC%2CFL%2CVO%2CDR%2CWF'
import requests

resp = requests.get(
    "https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP",
    params={
        'fromDate': '2025-01-01',
        'toDate': '2025-12-31',
        'eventlist': 'EQ,TC,FL,VO,DR,WF',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gdacs")
result = api.fetch("gdacsapi/api/events/geteventlist/MAP", fromDate="2025-01-01", toDate="2025-12-31", eventlist="EQ,TC,FL,VO,DR,WF")

for item in result:
    print(item)
const resp = await fetch("https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP?fromDate=2025-01-01&toDate=2025-12-31&eventlist=EQ%2CTC%2CFL%2CVO%2CDR%2CWF");
const data = await resp.json();
Get events for map display openapi-spec
curl 'https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP?eventtypes=EQ'
import requests

resp = requests.get(
    "https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP",
    params={
        'eventtypes': 'EQ',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gdacs")
result = api.fetch("gdacsapi/api/events/geteventlist/MAP", eventtypes="EQ")

for item in result:
    print(item)
const resp = await fetch("https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP?eventtypes=EQ");
const data = await resp.json();
Get disaster events as GeoJSON openapi-spec
curl 'https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP?eventtypes=EQ%2CTC%2CFL&fromdate=2026-03-01&todate=2026-03-19'
import requests

resp = requests.get(
    "https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP",
    params={
        'eventtypes': 'EQ,TC,FL',
        'fromdate': '2026-03-01',
        'todate': '2026-03-19',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gdacs")
result = api.fetch("gdacsapi/api/events/geteventlist/MAP", eventtypes="EQ,TC,FL", fromdate="2026-03-01", todate="2026-03-19")

for item in result:
    print(item)
const resp = await fetch("https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP?eventtypes=EQ%2CTC%2CFL&fromdate=2026-03-01&todate=2026-03-19");
const data = await resp.json();
Get disaster events as GeoJSON probe-gate
curl 'https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP?eventtypes=EQ%2CTC%2CFL&fromdate=2026-03-01&todate=2026-03-19'
import requests

resp = requests.get(
    "https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP",
    params={
        'eventtypes': 'EQ,TC,FL',
        'fromdate': '2026-03-01',
        'todate': '2026-03-19',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gdacs")
result = api.fetch("gdacsapi/api/events/geteventlist/MAP", eventtypes="EQ,TC,FL", fromdate="2026-03-01", todate="2026-03-19")

for item in result:
    print(item)
const resp = await fetch("https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP?eventtypes=EQ%2CTC%2CFL&fromdate=2026-03-01&todate=2026-03-19");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:51:43.632499 200 387ms
2026-04-16 17:38:10.082811 200 320ms
2026-04-16 16:42:37.158720 200 670ms
2026-04-16 04:03:31.765584 200 290ms
2026-04-16 03:42:02.247944 200 629ms
2026-04-16 02:50:32.837217 200 282ms
2026-04-16 01:34:32.922787 200 459ms
2026-04-15 01:43:34.014853 200 285ms
2026-04-15 01:01:39.761891 200 679ms
2026-04-15 00:53:43.672876 200 636ms
2026-04-15 00:16:46.182952 200 220ms
2026-04-14 02:01:12.639261 200 403ms
2026-04-14 01:44:31.314424 200 205ms
2026-04-14 01:33:16.185632 200 250ms
2026-04-14 00:19:03.662437 200 1563ms
2026-04-12 14:59:43.970209 200 509ms
2026-04-12 14:53:39.852728 200 397ms
2026-04-12 13:01:36.349512 200 1441ms
2026-04-12 12:49:54.815686 404 234ms
2026-04-10 04:33:08.851900 200 357ms
2026-04-10 02:04:33.006579 200 174ms
2026-04-10 01:58:21.092654 200 201ms
2026-04-10 00:40:07.585909 200 1048ms
2026-04-09 03:27:16.591203 200 776ms
2026-04-09 02:21:53.989158 200 18151ms
2026-04-09 01:32:22.871528 ERR
2026-04-09 00:24:00.563315 ERR
2026-04-08 07:15:20.987467 200 314ms
2026-04-08 00:55:50.592719 200 410ms
2026-04-08 00:36:01.585122 200 427ms
2026-04-08 00:17:25.342902 200 904ms
2026-04-07 01:32:16.940306 200 1108ms
2026-04-07 01:00:59.654410 200 986ms
2026-04-07 00:38:11.905601 200 271ms
2026-04-07 00:25:05.166860 200 384ms
2026-04-06 06:21:29.406653 200 330ms
2026-04-06 06:20:06.763893 200 945ms
2026-04-06 04:05:18.794215 200 275ms
2026-04-06 00:31:57.793648 200 1017ms
2026-04-05 14:49:45.815100 200 463ms
2026-04-05 02:55:51.163978 200 399ms
2026-04-05 02:30:07.936736 200 1139ms
2026-04-05 01:45:41.471354 200 976ms
2026-04-05 00:57:14.624177 200 298ms
2026-04-04 02:37:35.236284 200 332ms
2026-04-04 02:35:06.152427 200 273ms
2026-04-04 02:28:05.434245 200 239ms
2026-04-04 02:21:17.306953 200 744ms
2026-04-03 13:24:18.380390 200 308ms
2026-04-03 12:48:31.353685 200 599ms